## skimage 0.5.0+git100-gfeb3e92

=== debian/changelog ===
skimage (0.5.0+git100-gfeb3e92-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 07 May 2012 23:20:40 -0400

skimage (0.5.0+git100-gfeb3e92-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * Initial release. (Closes: #639820)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 May 2012 22:16:14 -0400
