## skimage 0.6.1

=== debian/changelog ===
skimage (0.6.1-1) unstable; urgency=low

  * Upstream bugfix release (correctly compare dtypes in the freeimage loader
    on all platforms).
  * Add python-support as build dependency (Closes: #681896).

 -- Stefan van der Walt <stefan@sun.ac.za>  Tue, 17 Jul 2012 15:03:25 -0400

skimage (0.6-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 15:31:26 -0400

skimage (0.5.0+git100-gfeb3e92-2) unstable; urgency=low

  * debian/rules: globally export MPLCONFIGDIR and HOME so they would be
    in effect also for unittests resolving FTBFS on build boxes.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 May 2012 13:11:43 -0400
