=== debian/control ===
Source: skimage
Section: python
Priority: optional
Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), python-numpy, python-sphinx, python-nose, python-setuptools, cython (>= 0.13), python-matplotlib (>= 1.0), python-scipy, libfreeimage3, python-imaging, python-support (>= 0.6)
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://scikits-image.org
Vcs-Browser: https://github.com/scikits-image/scikits-image
Vcs-Git: git://github.com/scikits-image/scikits-image.git

Package: python-skimage
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy (>= 0.9), python-skimage-lib (>= ${source:Version}), libfreeimage3
Provides: ${python:Provides}
Recommends: python-nose, python-matplotlib (>= 1.0), python-imaging
Suggests: python-skimage-doc, python-opencv
Description: Python modules for image processing
 scikits-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.

Package: python-skimage-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-skimage
Description: Documentation and examples for scikits-image
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Recommends: python-skimage
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Optimized low-level algorithms for scikits-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
