=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
+
+export MPLCONFIGDIR=$(CURDIR)/build
+export HOME=$(CURDIR)/build
 
 # Mega rule
 %:
@@ -17,6 +20,12 @@
 	dh_clean
 endif
 
+# Assure Agg backend for matplotlib to avoid any possible complication
+override_dh_auto_configure:
+	mkdir -p $(MPLCONFIGDIR)
+	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
+	dh_auto_configure
+
 # Build docs during install
 override_dh_auto_install: ${PYVERS:%=python-install%}
 
@@ -26,7 +35,7 @@
 
 	: # Build Documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	export PYTHONPATH=$(PACKAGE_ROOT_DIR)/usr/lib/python$*/dist-packages; \
 	 cd doc; test -d build/html || $(MAKE) html
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 	: # Use jquery and underscore from Debian package, so prune shipped one
