=== debian/watch ===
version=3
http://githubredir.debian.net/github/scikits-image/scikits-image/ v(.+).tar.gz
