## skimage 0.7.2

=== doc/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in build/qthelp, like this:"
-	@echo "# qcollectiongenerator build/qthelp/scikitsimage.qhcp"
+	@echo "# qcollectiongenerator build/qthelp/scikitimage.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile build/qthelp/scikitsimage.qhc"
+	@echo "# assistant -collectionFile build/qthelp/scikitimage.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitsimage"
-	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitsimage"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitimage"
+	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
 	@echo "# devhelp"
 
 latex:
@@ -123,9 +123,9 @@
 	python gh-pages.py
 
 gitwash:
-	python tools/gitwash/gitwash_dumper.py source scikits-image \
-	--project-url=http://scikits-image.org \
-	--project-ml-url=http://groups.google.com/group/scikits-image \
-	--repo-name=scikits-image \
-	--github-user=scikits-image \
+	python tools/gitwash/gitwash_dumper.py source scikit-image \
+	--project-url=http://scikit-image.org \
+	--project-ml-url=http://groups.google.com/group/scikit-image \
+	--repo-name=scikit-image \
+	--github-user=scikit-image \
 	--source-suffix=.txt
