=== debian/changelog ===
skimage (0.7.2-1) unstable; urgency=low

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Dec 2012 22:06:51 -0500
