=== debian/control ===
--- 
+++ 
@@ -3,7 +3,16 @@
 Priority: optional
 Maintainer: Stefan van der Walt <stefan@sun.ac.za>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), python-numpy, python-sphinx, python-nose, python-setuptools, cython (>= 0.13), python-matplotlib (>= 1.0), python-scipy, libfreeimage3, python-imaging, python-support (>= 0.6)
+Build-Depends: debhelper (>= 7.0.50),
+               python-all-dev (>= 2.6.6-3~), python-setuptools,
+               python-numpy,
+               python-scipy (>= 0.10),
+               python-sphinx,
+               python-nose,
+               cython (>= 0.13),
+               python-matplotlib (>= 1.0),
+               libfreeimage3,
+               python-imaging,
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://scikits-image.org
@@ -12,7 +21,11 @@
 
 Package: python-skimage
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy (>= 0.9), python-skimage-lib (>= ${source:Version}), libfreeimage3
+Depends: ${misc:Depends}, ${python:Depends},
+         python-numpy,
+         python-scipy (>= 0.10),
+         python-skimage-lib (>= ${source:Version}),
+         libfreeimage3,
 Provides: ${python:Provides}
 Recommends: python-nose, python-matplotlib (>= 1.0), python-imaging
 Suggests: python-skimage-doc, python-opencv
