## skimage 0.8.2

=== debian/changelog ===
skimage (0.8.2-1ubuntu3) saucy; urgency=low

  * depend on python-imaging in autopkgtests
    fixes failures with compressed pngs

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 17 Sep 2013 19:48:35 +0200

skimage (0.8.2-1ubuntu2) saucy; urgency=low

  * fix arch only build
  * drop python-skimage-doc.links, handled by dh_sphinxdoc

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 13 Aug 2013 14:53:32 +0200

skimage (0.8.2-1ubuntu1) saucy; urgency=low

  * add python 3 packages
  * add autopkgtests
  * update packaging to use dh_sphinxdoc and dh_python2
    requires search-html.patch to fix file so dh_sphinxdoc recognises it
  * fix-doc-links.patch: fix navbar links in documentation
  * wrap-and-sort debian/

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 10 Jun 2013 21:20:18 +0200

skimage (0.8.2-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * Add python-qt4 as a recommended package (Closes: #684753).

  [ Yaroslav Halchenko ]
  * New upstream release
  * ACK NMU + reincarnated the record of 0.6.1-1, which as 0.7.2-1.1 fixed
    python-support issue
  * debian/control
    - boosted required cython version to 0.15
    - boosted policy cmopliance to 3.9.4
  * debian/patches
    - changeset_0eea2a48fe2dca7bbb3681fcd5b511579cad6347.diff -- resolves
      incompatibility with cython 0.19 (thanks Julian Taylor for the
      pointer)
    - up_correct_version -- fix upstream version to be 0.8.2 (thanks
      Julian again)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jun 2013 10:28:31 -0400

skimage (0.7.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to get rid of python2.6 dependencies (Closes: #707894).
  * Build-depend on python-support (Closes: #681896).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 16:33:39 +0200
