=== debian/tests/control ===
# some tests fail with freeimage plugin on compressed pngs,
# so install imaging for tests
Tests: python2
Depends: python-all, python-nose, python-skimage, python-imaging

Tests: python3
Depends: python3-all, python3-nose, python3-skimage, python3-imaging
