=== debian/changelog ===
skimage (0.9.3-4build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:34 +0100

skimage (0.9.3-4) unstable; urgency=low

  * debian/rules
    don't optimize pngs in post build processors some derivatives use
    palette changes break tests and documented examples

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 23 Jan 2014 20:48:51 +0100

skimage (0.9.3-3) unstable; urgency=low

  * debian/control
    - swap order of Build-Depends (and Recommends just in case) to favor
      python*-pil over python*-imaging so builders do not get confused
      (Closes: #730678)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Nov 2013 19:50:11 -0500

skimage (0.9.3-2) unstable; urgency=low

  * debian/tests/control
    - [thanks Julian Taylor] adding pil|imaging, tk, matplotlib to Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Nov 2013 21:46:35 -0500

skimage (0.9.3-1) unstable; urgency=low

  [ Stefan van der Walt ]
  * New upstream release (Closes: #693523).
  * Replace mentions of old package name.

  [ Yaroslav Halchenko ]
  * Merge with previous UNRELEASED changes
  * debian/patches
    - changeset_0eea2a48fe2dca7bbb3681fcd5b511579cad6347.diff and
      up_correct_version removed (upstreamed)
  * debian/rules
    - added export http(s)_proxy to point to non-existing localhost proxy,
      so we could guarantee no network is used at pkg build time
  * debian/control
    - *Depends on python{,3}-pil as well now as an alternative to
      python{,3}-imaging due to its rename

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Nov 2013 17:24:52 -0500

skimage (0.8.2-2) UNRELEASED; urgency=low

  [ Julian Taylor ]
  * add python 3 packages
  * add autopkgtests
  * update packaging to use dh_sphinxdoc and dh_python2
    requires search-html.patch to fix file so dh_sphinxdoc recognises it
  * debian/patches
    - fix-doc-links.patch: fix navbar links in documentation
  * debian/control:
    - wrap-and-sort

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jun 2013 15:31:21 -0400
