=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 PACKAGE2_NAME = python-skimage
 PACKAGE3_NAME = python3-skimage
 PKG_TMP = $(CURDIR)/debian/tmp
+# don't optimize pngs, palette changes break tests and documented examples
+export NO_PNG_PKG_MANGLE=1
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
@@ -11,6 +13,9 @@
 
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
+
+export http_proxy = http://127.0.9.1:9
+export https_proxy = http://127.0.9.1:9
 
 # Mega rule
 %:
@@ -29,19 +34,18 @@
 	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
 	dh_auto_configure
 
-override_dh_auto_install-arch: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
-	touch install-stamp
-
-# Build docs during install, requires arch build for imports
-override_dh_auto_install-indep: override_dh_auto_install-arch
+# Build docs during install
+override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
 	: # Build Documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
+	: # not building documentation in -a
+else
 	export PYTHONPATH=$(PKG_TMP)/usr/lib/python$(PYVER)/dist-packages; \
 	 cd doc; test -d build/html || $(MAKE) html
 endif
-
-# no docs so no reason for sphinxdoc to fail
-override_dh_sphinxdoc-arch:
+endif
+	touch install-stamp
 
 # Per Python version logic -- install, test, move .so into -lib
 python-install%:
@@ -51,12 +55,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	pkgbuild=yes debian/tests/python$*
 else
-	true # Skip unittests due to nocheck
+        : # Skip unittests due to nocheck
 endif
 
 ## remove .so libraries from main package, and call dh_numpy*
 _dh_python%: python-test%
-	# does not exist in arch build
 	-find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete;
 
 	dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib
@@ -69,6 +72,15 @@
 override_dh_compress:
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
+	: # no documentation in -a -- surprised that sphinxdoc doesn't know that
+else
+	dh_sphinxdoc -ppython-skimage-doc
+endif
+endif
+
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTORS.txt README.md DEVELOPMENT.txt TASKS.txt
+	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt TASKS.txt
