=== debian/watch ===
version=3
http://githubredir.debian.net/github/scikit-image/scikit-image/ v(.+).tar.gz
