## skimage 0.10.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	find . -name "*.so" -o -name "*.pyc" -o -name "*.pyx.md5" | xargs rm -f
 
 test:
-	nosetests skimage
+	python -c "import skimage, sys, io; sys.exit(skimage.test_verbose())"
+
+doctest:
+	python -c "import skimage, sys, io; sys.exit(skimage.doctest_verbose())"
 
 coverage:
 	nosetests skimage --with-coverage --cover-package=skimage
