=== debian/control ===
--- 
+++ 
@@ -4,26 +4,31 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stefan van der Walt <stefan@sun.ac.za>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: cython (>= 0.15),
-               cython3 (>= 0.15),
+Build-Depends: cython (>= 0.17),
+               cython3 (>= 0.17),
                debhelper (>= 9~),
                libfreeimage3,
+               libjs-twitter-bootstrap,
                python-all-dev (>= 2.6.6-3~),
-               python-pil | python-imaging,
                python-matplotlib (>= 1.0),
                python-nose,
-               python-numpy,
+               python-numpy (>= 1.6.0),
+               python-pil | python-imaging,
                python-scipy (>= 0.10),
                python-setuptools,
+               python-six (>= 1.3.0),
                python-sphinx (>= 1.0.7+dfsg-1~),
                python3-all-dev,
-               python3-pil | python3-imaging,
                python3-matplotlib | python-matplotlib (<< 1.2.0~),
                python3-nose,
                python3-numpy,
+               python3-pil | python3-imaging,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 3.9.4
+               python3-setuptools,
+               python3-six (>= 1.3.0),
+               xauth,
+               xvfb
+Standards-Version: 3.9.5
 Homepage: http://scikit-image.org
 Vcs-Browser: https://github.com/scikit-image/scikit-image
 Vcs-Git: git://github.com/scikit-image/scikit-image.git
@@ -36,10 +41,15 @@
 Depends: libfreeimage3,
          python-numpy,
          python-scipy (>= 0.10),
+         python-six (>= 1.3.0),
          python-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-pil, python-imaging, python-matplotlib (>= 1.0), python-nose, python-qt4
+Recommends: python-imaging,
+            python-matplotlib (>= 1.0),
+            python-nose,
+            python-pil,
+            python-qt4
 Suggests: python-opencv, python-skimage-doc
 Description: Python modules for image processing
  scikit-image is a collection of image processing algorithms for
@@ -53,10 +63,14 @@
 Depends: libfreeimage3,
          python3-numpy,
          python3-scipy (>= 0.10),
+         python3-six (>= 1.3.0),
          python3-skimage-lib (>= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-pil,python3-imaging,  python3-matplotlib (>= 1.0), python3-nose
+Recommends: python3-imaging,
+            python3-matplotlib (>= 1.0),
+            python3-nose,
+            python3-pil
 Suggests: python-skimage-doc
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
