=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions  -vd)
 PY3VERS = $(shell py3versions -vr)
+
+# upstream relies on signed chars
+export DEB_CFLAGS_MAINT_APPEND := -fsigned-char
 
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
@@ -83,4 +86,9 @@
 
 override_dh_installdocs:
 	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt TASKS.txt
-
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/js/bootstrap.min.js \
+	    usr/share/doc/python-skimage-doc/html/_static/js/bootstrap.min.js
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/css/bootstrap.min.css \
+	    usr/share/doc/python-skimage-doc/html/_static/css/bootstrap.min.css
+	dh_link -ppython-skimage-doc /usr/share/twitter-bootstrap/files/css/bootstrap-responsive.css \
+	    usr/share/doc/python-skimage-doc/html/_static/css/bootstrap-responsive.css
